Get Customer
curl --request GET \
--url https://devapi.withedge.co/gateway/api/v1/customer/profile/{customerId} \
--header 'Authorization: Bearer <token>' \
--header 'requestId: <requestid>'import requests
url = "https://devapi.withedge.co/gateway/api/v1/customer/profile/{customerId}"
headers = {
"requestId": "<requestid>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {requestId: '<requestid>', Authorization: 'Bearer <token>'}
};
fetch('https://devapi.withedge.co/gateway/api/v1/customer/profile/{customerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": "00",
"message": "Customer Profile Successfully retrieved",
"data": {
"customerId": "7100987614",
"firstName": "Olalekan",
"otherName": "Yusuf",
"surname": "Balogun",
"email": "fe3i9@belgianairways.com",
"phone": "080271885",
"salutation": "Mr",
"gender": "Male",
"dateOfBirth": "2002-01-01T00:00:00",
"bvn": "40455560470",
"nationality": "NGA",
"classType": "INDIVIDUAL",
"status": "Active",
"kycTier": "0",
"address": {
"street": "Apple Close",
"localGovernment": "Apple",
"city": "Lagos",
"country": "NGA"
},
"nextOfKin": {
"gender": "Male",
"email": "dawn0791@mailinator.com",
"phone": "07098564323",
"relationship": "Brother",
"address": "2, Apple close",
"firstname": "Dawn",
"localGovernment": "Akinyele",
"street": "Apple",
"city": "Apple",
"lastName": "Bake",
"country": "NGN"
},
"dateAdded": "2024-07-10T10:16:11.047"
},
"errors": []
}
Customer
Get Customer
This endpoint enables you to retrieve the details of a specific customer that you have generated on the Edge platform.
GET
/
customer
/
profile
/
{customerId}
Get Customer
Get Customer
Use this endpoint to fetch detailed information about a specific customer on the Edge platform.Request Parameters
A unique identifier for the request, used for idempotency.
Example:
Example:
e0b9f8d0-7a57-4a67-a8b2-4d7c7b5a37c9The unique identifier of the customer whose profile is to be retrieved.
Example:
Example:
7100987614{
"statusCode": "00",
"message": "Customer Profile Successfully retrieved",
"data": {
"customerId": "7100987614",
"firstName": "Olalekan",
"otherName": "Yusuf",
"surname": "Balogun",
"email": "fe3i9@belgianairways.com",
"phone": "080271885",
"salutation": "Mr",
"gender": "Male",
"dateOfBirth": "2002-01-01T00:00:00",
"bvn": "40455560470",
"nationality": "NGA",
"classType": "INDIVIDUAL",
"status": "Active",
"kycTier": "0",
"address": {
"street": "Apple Close",
"localGovernment": "Apple",
"city": "Lagos",
"country": "NGA"
},
"nextOfKin": {
"gender": "Male",
"email": "dawn0791@mailinator.com",
"phone": "07098564323",
"relationship": "Brother",
"address": "2, Apple close",
"firstname": "Dawn",
"localGovernment": "Akinyele",
"street": "Apple",
"city": "Apple",
"lastName": "Bake",
"country": "NGN"
},
"dateAdded": "2024-07-10T10:16:11.047"
},
"errors": []
}
Was this page helpful?
⌘I